﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace WpfApplication3
{
    class ViewModel
    {
        private ObservableCollection<Employee> employees;

        public ObservableCollection<Employee> Employees
        {
            get
            {
                if (employees == null)
                {
                    employees = new ObservableCollection<Employee>();
                    for (int x = 1; x < 6; x++)
                    {

                        string randomText = System.Guid.NewGuid().ToString().Replace("-", string.Empty);
                        employees.Add(new Employee
                        {
                            EmployeeID = x,
                            Name = "Name: " + randomText + x.ToString()
                        });
                    }
                }


                return employees;
            }

        }

    }
}
